org.eclipse.ecf.core.util

## Class ECFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.ecf.core.util.ECFException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BrowseFileTransferException, ConnectionCreateException, ContainerConnectException, ContainerCreateException, FileCreateException, IncomingFileTransferException, QueueException, RemoteFileSystemException, RestException, SendFileTransferException, SharedObjectAddException, SharedObjectConnectException, SharedObjectCreateException, SharedObjectDisconnectException, SharedObjectInitException, UserCancelledException

    public class ECFException
    extends org.eclipse.core.runtime.CoreException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ECFException()`
`ECFException(org.eclipse.core.runtime.IStatus status)`
`ECFException(String message)`
`ECFException(String message, Throwable cause)`
`ECFException(Throwable cause)`

### Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ECFException

    public ECFException()

#### ECFException

    public ECFException(String message)

Parameters:
  `message` - message associated with exception

#### ECFException

    public ECFException(Throwable cause)

Parameters:
  `cause` - the cause of the new exception

#### ECFException

    public ECFException(String message,
                        Throwable cause)

Parameters:
  `message` -
  `cause` -

#### ECFException

    public ECFException(org.eclipse.core.runtime.IStatus status)

Parameters:
  `status` - the status for th